deleteUser

Permanently removes all of a user’s attribute information from our database. To erase a user’s data entirely — including attribute, analytics, and sessions data — set the fullErasure flag to true. You can bulk delete users with multi (import mode) or contact our support team for assistance. deleteUser calls are exempt from API billing.

This method requires your development API clientKey.

Body Params

JSON request body with variables and values.

string
required
Defaults to YOUR_APP_ID

The application ID. To find yours, select your app in the navigation column, and click Manage Apps. Then click Keys & Settings.

string
required
Defaults to YOUR_DEV_KEY

The Development key for your Leanplum App.

string
enum
required
Defaults to 1.0.6

The version of the Leanplum API to use. The current version is 1.0.6.

Allowed:
string
required

The user ID to delete. Required unless using deviceId.

string

Required if no userId. The deviceId to delete. Only use this if there is no userId set. Note that deviceId will only delete data from devices where a user has never logged-in. If a logged-in user has been on the device, you must call the deleteUser API with the userId.

boolean

Deletes all session and analytics data for the selected user. This may take up to 15 days to process fully. Defaults to false — should be set to true for GDPR-related deletion requests.

Response

Language
Credentials
URL
Response
Choose an example:
application/json